読者です 読者をやめる 読者になる 読者になる

コガネブログ

平日更新を目標にUnityやC#などのゲーム開発アレコレを書いていきます

【Unity】Unityプロジェクトを5.3から5.4にアップデートしたらNGUIのスクリプトでエラーが発生するようになった時の対応方法

エラー内容

NGUIMenu.cs でエラーが発生する

Ignoring menu item NGUI because it is in no submenu!

対応方法

NGUIMenu.csの下記の記述を

[MenuItem("NGUI/", false, 11)]
static void Breaker () { }

[MenuItem("NGUI/Help", false, 12)]
static public void Help () { NGUIHelp.Show(); }

次のように変更する

[MenuItem("NGUI/Help", false, 22)]
static public void Help () { NGUIHelp.Show(); }

参考サイト様